Bug 2014639 - ocrmypdf: FTBFS in Fedora Rawhide
Summary: ocrmypdf: FTBFS in Fedora Rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ocrmypdf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-10-15 16:58 UTC by Ben Beasley
Modified: 2021-11-19 02:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-26 14:18:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Ben Beasley 2021-10-15 16:58:06 UTC
Description of problem:
Package ocrmypdf fails to build from source in Fedora Rawhide.

Version-Release number of selected component (if applicable):
12.6.0-1.fc36

Steps to Reproduce:
koji build --scratch f36 ocrmypdf-12.6.0-1.fc36.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/ocrmypdf

----

This seems to be because

> %pyproject_buildrequires -r -x docs -x test

does not actually generate the BR’s defined for these extras in setup.cfg. I haven’t figured out exactly what is going wrong here.

----

There is also a bundling/policy concern that was recently identified with Sphinx HTML documentation. See https://bugzilla.redhat.com/show_bug.cgi?id=2006555 and https://lists.fedoraproject.org/archives/list/packaging@lists.fedoraproject.org/thread/LLUAURXZVADATHK65HBPPBHKF4EM4UC3/ for discussion, and let me know if you would like a PR to build the PDF documentation instead, which should be less problematic.

Comment 1 Elliott Sales de Andrade 2021-10-15 22:33:05 UTC
It seems that the dependency generator is broken, so I'm not sure I can do much about fixing this.

Comment 2 Ben Beasley 2021-10-16 02:42:58 UTC
Miro, would you mind taking a look at this when you have a chance? It seems like something interesting is going on with %pyproject_buildrequires in this project.

It’s a slightly odd arrangement upstream—requires in pyproject.toml and also install_requires in setup.cfg, setup_requires in setup.py and also in setup.cfg, and extras_require in setup.cfg only—but it seems like generating the extras ought to work.

Comment 3 Miro Hrončok 2021-10-16 09:04:29 UTC
It seems that when python3-cffi is installed, the buildrequires generator does not consider cffi installed. It instructs dnf to install python3dist(cffi), but that is already installed and hence the %generate_buildrequires section ends, and build proceeds to %build.

Apparently, the check that fails here is more or less:

>>> from packaging.requirements import Requirement
>>> req = Requirement('cffi')
>>> '1.15.0' in req.specifier
True
>>> '1.15.0rc2' in req.specifier
False


So, when pre-releases are installed, the generator does not see them as installed. Maybe a bug in python-packaging, or a well-documented behavior of it that we need to workaround.

I will open a bugzilla for pyproject-rpm-macros later.

Comment 4 Miro Hrončok 2021-10-16 09:17:43 UTC
Proposed fix: https://src.fedoraproject.org/rpms/pyproject-rpm-macros/pull-request/205

Comment 5 Ben Beasley 2021-10-16 14:31:54 UTC
Thanks for looking at it, and for the quick fix!

Comment 6 Fedora Update System 2021-10-26 14:17:10 UTC
FEDORA-2021-dd552b99bd has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2021-dd552b99bd

Comment 7 Fedora Update System 2021-10-26 14:18:21 UTC
FEDORA-2021-dd552b99bd has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-10-26 14:49:25 UTC
FEDORA-2021-c150eb582a has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c150eb582a

Comment 9 Fedora Update System 2021-10-26 14:49:26 UTC
FEDORA-2021-49a9344544 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-49a9344544

Comment 10 Fedora Update System 2021-10-26 15:43:44 UTC
FEDORA-2021-49a9344544 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-49a9344544`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-49a9344544

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-10-27 02:07:32 UTC
FEDORA-2021-7ddfcf642a has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-7ddfcf642a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-7ddfcf642a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-10-27 02:29:11 UTC
FEDORA-2021-c150eb582a has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-c150eb582a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c150eb582a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-10-29 10:29:04 UTC
FEDORA-2021-22b68be2d5 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-22b68be2d5

Comment 14 Fedora Update System 2021-10-29 10:57:13 UTC
FEDORA-2021-d085ce09ef has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d085ce09ef

Comment 15 Fedora Update System 2021-10-29 21:32:07 UTC
FEDORA-2021-d085ce09ef has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d085ce09ef

Comment 16 Fedora Update System 2021-10-29 23:10:53 UTC
FEDORA-2021-49a9344544 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2021-10-30 01:00:48 UTC
FEDORA-2021-22b68be2d5 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-22b68be2d5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-22b68be2d5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2021-10-30 01:16:30 UTC
FEDORA-2021-d085ce09ef has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d085ce09ef`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d085ce09ef

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2021-11-03 11:19:05 UTC
FEDORA-2021-22b68be2d5 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-22b68be2d5

Comment 20 Fedora Update System 2021-11-03 11:20:08 UTC
FEDORA-2021-d085ce09ef has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d085ce09ef

Comment 21 Fedora Update System 2021-11-04 13:56:41 UTC
FEDORA-2021-d085ce09ef has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d085ce09ef`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d085ce09ef

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 22 Fedora Update System 2021-11-04 14:13:40 UTC
FEDORA-2021-22b68be2d5 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-22b68be2d5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-22b68be2d5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 23 Fedora Update System 2021-11-12 00:58:42 UTC
FEDORA-2021-d085ce09ef has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 24 Fedora Update System 2021-11-19 02:00:26 UTC
FEDORA-2021-22b68be2d5 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.